Subject: Re: [RFC 06/12] net: page_pool: create hooks for custom page providers

From: Jakub Kicinski <[email-masked]>
Date: Fri, 7 Jul 2023 15:28:33 -0700

On Fri, 7 Jul 2023 12:50:51 -0700 Mina Almasry wrote:
> > -       put_page(page);
> > +       if (put)
> > +               put_page(page);  
> 
> +1 to giving memory providers the option to replace put_page() with a
> custom release function. In your original proposal, the put_page() was
> intact, and I thought it was some requirement from you that pages must
> be freed with put_page(). I made my code with/around that, but I think
> it's nice to give future memory providers the option to replace this.

I was kinda trying to pretend there is a reason, so that I could
justify the second callback - hoping it could be useful for the
device / user memory cases. But the way I was using it was racy
so I dropped it for now.